Index: /trunk/libf/phytitan/conf_phys.F90
===================================================================
--- /trunk/libf/phytitan/conf_phys.F90	(revision 96)
+++ /trunk/libf/phytitan/conf_phys.F90	(revision 97)
@@ -10,8 +10,21 @@
    implicit none
 
-#include "YOMCST.inc"
-#include "clesphys.inc"
+#include "YOMCST.h"
+#include "clesphys.h"
 #include "compbl.h"
-#include "comorbit.inc"
+#include "comorbit.h"
+
+! ok_journe:  sorties journalieres
+! ok_mensuel: sorties mensuelles
+! ok_instan:  sorties instantanees
+
+
+! Sortie:
+  logical              :: ok_journe, ok_mensuel, ok_instan        
+  integer              :: if_ebil
+
+! Local
+  integer              :: numout = 6
+
 !
 ! Configuration de la "physique" de LMDZ a l'aide de la fonction
@@ -22,17 +35,73 @@
 !--- Ca lit le physiq.def ---
 
-!
-! ok_mensuel: sorties mensuelles
-! ok_journe:  sorties journalieres
-! ok_instan:  sorties instantanees
-
-
-! Sortie:
-  logical              :: ok_mensuel, ok_journe, ok_instan
-  integer              :: if_ebil
-
-! Local
-  integer              :: numout = 6
-  real*4               :: zzz
+!******************* parametres anciennement lus dans gcm.def
+
+!Config  Key  = cycle_diurne
+!Config  Desc = Cycle ddiurne
+!Config  Def  = y
+!Config  Help = Cette option permet d'eteidre le cycle diurne.
+!Config         Peut etre util pour accelerer le code !
+       cycle_diurne = .TRUE.
+       CALL getin('cycle_diurne',cycle_diurne)
+
+!Config  Key  = soil_model
+!Config  Desc = Modele de sol
+!Config  Def  = y
+!Config  Help = Choix du modele de sol (Thermique ?)
+!Config         Option qui pourait un string afin de pouvoir
+!Config         plus de choix ! Ou meme une liste d'options !
+       soil_model = .TRUE.
+       CALL getin('soil_model',soil_model)
+
+!Config  Key  = ok_orodr
+!Config  Desc = Oro drag
+!Config  Def  = y
+!Config  Help = GW drag orographie
+!Config         
+       ok_orodr = .TRUE.
+       CALL getin('ok_orodr',ok_orodr)
+
+!Config  Key  =  ok_orolf
+!Config  Desc = Oro lift
+!Config  Def  = n
+!Config  Help = GW lift orographie (pas utilise)
+       ok_orolf = .TRUE.
+       CALL getin('ok_orolf', ok_orolf)
+
+!Config  Key  = ok_gw_nonoro
+!Config  Desc = Gravity waves parameterization
+!Config  Def  = n
+!Config  Help = GW drag non-orographique
+       ok_gw_nonoro = .FALSE.
+       CALL getin('ok_gw_nonoro',ok_gw_nonoro)
+
+!Config  Key  = nbapp_rad
+!Config  Desc = Frequence d'appel au rayonnement
+!Config  Def  = 12
+!Config  Help = Nombre  d'appels des routines de rayonnements
+!Config         par jour.
+       nbapp_rad = 12
+       CALL getin('nbapp_rad',nbapp_rad)
+
+!Config  Key  = nbapp_chim
+!Config  Desc = Frequence d'appel a la chimie
+!Config  Def  = 1
+!Config  Help = Nombre  d'appels des routines de chimie
+!Config         par jour.
+       nbapp_chim = 1
+       CALL getin('nbapp_chim',nbapp_chim)
+
+!Config  Key  = iflag_con
+!Config  Desc = Flag de convection
+!Config  Def  = 0
+!Config  Help = Flag  pour la convection les options suivantes existent :
+!Config         0 : ajsec simple (VENUS, TITAN)
+!Config         1 pour LMD,
+!Config         2 pour Tiedtke,
+!Config         3 pour CCM(NCAR)  
+       iflag_con = 0
+       CALL getin('iflag_con',iflag_con)
+
+!******************* fin parametres anciennement lus dans gcm.def
 
 !Config Key  = OK_mensuel
@@ -64,4 +133,13 @@
 !
 !
+!Config  Key  = ecritphy
+!Config  Desc = Frequence d'ecriture dans histins
+!Config  Def  = 1
+!Config  Help = frequence de l'ecriture du fichier histins
+!Config         en jours.
+!
+       ecritphy = 1.
+       CALL getin('ecritphy', ecritphy)
+!
 !Config Key  = if_ebil
 !Config Desc = Niveau de sortie pour les diags bilan d'energie 
@@ -85,7 +163,6 @@
 !Config Help = 
 !               
-  zzz = 673.
-  call getin('year_day', zzz)
-  year_day = zzz
+  year_day = 673.
+  call getin('year_day', year_day)
 !
 !Config Key  = peri_day
@@ -94,7 +171,6 @@
 !Config Help = 
 !               
-  zzz = 533.
-  call getin('peri_day', zzz)
-  peri_day = zzz
+  peri_day = 533.
+  call getin('peri_day', peri_day)
 !
 !Config Key  = periheli
@@ -103,7 +179,6 @@
 !Config Help = 
 !               
-  zzz = 1354.5
-  call getin('periheli', zzz)
-  periheli = zzz
+  periheli = 1354.5
+  call getin('periheli', periheli)
 !!
 !Config Key  = aphelie
@@ -112,7 +187,6 @@
 !Config Help = 
 !               
-  zzz = 1506.0
-  call getin('aphelie', zzz)
-  aphelie = zzz
+  aphelie = 1506.0
+  call getin('aphelie', aphelie)
 !!
 !Config Key  = obliquit
@@ -121,7 +195,6 @@
 !Config Help = 
 !               
-  zzz = 26.7
-  call getin('obliquit', zzz)
-  obliquit = zzz
+  obliquit = 26.7
+  call getin('obliquit', obliquit)
 !
 !Config Key  = solaire
@@ -131,7 +204,6 @@
 !Config Help = 
 !
-  zzz = 2620.
-    call getin('solaire', zzz)
-  solaire = zzz
+  solaire = 2620.
+    call getin('solaire', solaire)
 !
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -158,7 +230,6 @@
 !Config Help =
 !
-  zzz = 1.0e-7
-  call getin('ksta',zzz)
-  ksta = zzz
+  ksta = 1.0e-7
+  call getin('ksta',ksta)
 
 !
@@ -168,7 +239,6 @@
 !Config Help =
 !
-  zzz = 1.0e-2
-  call getin('z0',zzz)
-  z0 = zzz
+  z0 = 1.0e-2
+  call getin('z0',z0)
 
 !
@@ -178,9 +248,7 @@
 !Config Help =
 !
-  zzz = 35.
-  call getin('lmixmin',zzz)
-  lmixmin = zzz
-
-!
+  lmixmin = 35.
+  call getin('lmixmin',lmixmin)
+
 !
 !Config Key  = ok_kzmin
@@ -204,10 +272,9 @@
 !Config Key  = inertie
 !Config Desc =
-!Config Def  = 2000.
-!Config Help =
-!
-  zzz = 2000.
-  call getin('inertie',zzz)
-  inertie = zzz
+!Config Def  = 340.
+!Config Help =
+!
+  inertie = 340.
+  call getin('inertie',inertie)
 !
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -287,7 +354,6 @@
 !Config Help =
 !
-  zzz = 3.5
-  call getin('tx',zzz)
-  tx = zzz
+  tx = 3.5
+  call getin('tx',tx)
 
 !
@@ -297,7 +363,6 @@
 !Config Help =
 !
-  zzz = 1.
-  call getin('tcorrect',zzz)
-  tcorrect = zzz
+  tcorrect = 1.
+  call getin('tcorrect',tcorrect)
 
 !
@@ -349,7 +414,16 @@
   write(numout,*)' ##############################################'
   write(numout,*)' Configuration des parametres de la physique: '
+  write(numout,*)' cycle_diurne = ', cycle_diurne
+  write(numout,*)' soil_model = ', soil_model
+  write(numout,*)' ok_orodr = ', ok_orodr
+  write(numout,*)' ok_orolf = ', ok_orolf
+  write(numout,*)' ok_gw_nonoro = ', ok_gw_nonoro
+  write(numout,*)' nbapp_rad = ', nbapp_rad
+  write(numout,*)' nbapp_chim = ', nbapp_chim
+  write(numout,*)' iflag_con = ', iflag_con
   write(numout,*)' Sortie mensuelle = ', ok_mensuel
   write(numout,*)' Sortie journaliere = ', ok_journe
   write(numout,*)' Sortie instantanee = ', ok_instan
+  write(numout,*)' frequence sorties = ', ecritphy  
   write(numout,*)' Sortie bilan d energie, if_ebil =', if_ebil
   write(numout,*)' Duree de l annee = ',year_day
Index: /trunk/libf/phytitan/ini_histday.h
===================================================================
--- /trunk/libf/phytitan/ini_histday.h	(revision 96)
+++ /trunk/libf/phytitan/ini_histday.h	(revision 97)
@@ -10,6 +10,5 @@
 c
          idayref = day_ref
-	 z4julian = zjulian
-         CALL ymds2ju(annee_ref, 1, idayref, zero, z4julian)
+         CALL ymds2ju(annee_ref, 1, idayref, zero, zjulian)
 c
          CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlond,zx_lon)
@@ -19,13 +18,10 @@
          ENDDO
          CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlatd,zx_lat)
-	 z4_lon = zx_lon
-	 z4_lat = zx_lat
-	 zpresnivs=presnivs
-         CALL histbeg("histday", iim,z4_lon(:,1), jjmp1,z4_lat(1,:),
-     .                 1,iim,1,jjmp1, itau_phy, z4julian, zsto, 
+         CALL histbeg("histday", iim,zx_lon(:,1), jjmp1,zx_lat(1,:),
+     .                 1,iim,1,jjmp1, itau_phy, zjulian, zsto, 
      .                 nhori, nid_day)
          write(*,*)'Journee ', itau_phy, zjulian
          CALL histvert(nid_day, "presnivs", "Vertical levels", "mb",
-     .                 klev, zpresnivs, nvert)
+     .                 klev, presnivs, nvert)
 
 c-------------------------------------------------------
Index: /trunk/libf/phytitan/ini_histins.h
===================================================================
--- /trunk/libf/phytitan/ini_histins.h	(revision 96)
+++ /trunk/libf/phytitan/ini_histins.h	(revision 97)
@@ -9,6 +9,5 @@
 c
          idayref = day_ref
-	 z4julian = zjulian
-         CALL ymds2ju(annee_ref, 1, idayref, zero, z4julian)
+         CALL ymds2ju(annee_ref, 1, idayref, zero, zjulian)
 c
          CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlond,zx_lon)
@@ -18,13 +17,10 @@
          ENDDO
          CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlatd,zx_lat)
-	 z4_lon = zx_lon
-	 z4_lat = zx_lat
-	 zpresnivs=presnivs
-         CALL histbeg("histins", iim,z4_lon(:,1), jjmp1,z4_lat(1,:),
-     .                 1,iim,1,jjmp1, itau_phy, z4julian, zsto1,
+         CALL histbeg("histins", iim,zx_lon(:,1), jjmp1,zx_lat(1,:),
+     .                 1,iim,1,jjmp1, itau_phy, zjulian, zsto1,
      .                 nhori, nid_ins)
          write(*,*)'Inst ', itau_phy, zjulian
          CALL histvert(nid_ins, "presnivs", "Vertical levels", "mb",
-     .                 klev, zpresnivs, nvert)
+     .                 klev, presnivs, nvert)
 
 c-------------------------------------------------------
Index: /trunk/libf/phytitan/ini_histmth.h
===================================================================
--- /trunk/libf/phytitan/ini_histmth.h	(revision 96)
+++ /trunk/libf/phytitan/ini_histmth.h	(revision 97)
@@ -7,6 +7,5 @@
 c
          idayref = day_ref
-	 z4julian = zjulian
-         CALL ymds2ju(annee_ref, 1, idayref, zero, z4julian)
+         CALL ymds2ju(annee_ref, 1, idayref, zero, zjulian)
 c
          CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlond,zx_lon)
@@ -16,13 +15,10 @@
          ENDDO
          CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlatd,zx_lat)
-	 z4_lon = zx_lon
-	 z4_lat = zx_lat
-	 zpresnivs=presnivs
-         CALL histbeg("histmth", iim,z4_lon(:,1), jjmp1,z4_lat(1,:),
-     .                 1,iim,1,jjmp1, itau_phy, z4julian, zsto, 
+         CALL histbeg("histmth", iim,zx_lon(:,1), jjmp1,zx_lat(1,:),
+     .                 1,iim,1,jjmp1, itau_phy, zjulian, zsto, 
      .                 nhori, nid_mth)
          write(*,*)'Journee ', itau_phy, zjulian
          CALL histvert(nid_mth, "presnivs", "Vertical levels", "mb",
-     .                 klev, zpresnivs, nvert)
+     .                 klev, presnivs, nvert)
 
 c-------------------------------------------------------
@@ -98,12 +94,12 @@
 c
          if (iflag_trac.eq.1) THEN
-          if (microfi.eq.1) then
-           DO iq=1,nmicro
-         CALL histdef(nid_mth, tname(iq), ttext(iq), "n/m2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-           ENDDO
-	  endif
-	  if (nmicro.lt.nqmax) then
+c         if (microfi.eq.1) then
+c          DO iq=1,nmicro
+c        CALL histdef(nid_mth, tname(iq), ttext(iq), "n/m2",
+c    .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+c    .                "ave(X)", zsto,zout)
+c          ENDDO
+c         endif
+          if (nmicro.lt.nqmax) then
            DO iq=nmicro+1,nqmax
          CALL histdef(nid_mth, tname(iq), ttext(iq), "ppm",
@@ -117,5 +113,5 @@
 c    .                "ave(X)", zsto,zout)
 c          ENDDO
-	  endif
+          endif
          endif
 c
@@ -150,4 +146,18 @@
      .                iim,jjmp1,nhori, klev,1,klev,nvert,
      .                32, "ave(X)", zsto1,zout)
+c
+         DO k=3,nspecv,5
+           write(str1,'(i2.2)') k
+         CALL histdef(nid_mth,"thv"//str1,"Haze Opa Vis",
+     .                "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
+     .                "ave(X)",zsto1,zout)
+         ENDDO
+c
+         DO k=3,nspecv,5
+           write(str1,'(i2.2)') k
+         CALL histdef(nid_mth,"khv"//str1,"Haze ext Vis ",
+     .                "m-1",iim,jjmp1,nhori,klev,1,klev,nvert,32,
+     .                "ave(X)",zsto1,zout)
+         ENDDO
 c
       ENDIF !lev_histmth.GE.3
Index: /trunk/libf/phytitan/interface_surf.F90
===================================================================
--- /trunk/libf/phytitan/interface_surf.F90	(revision 96)
+++ /trunk/libf/phytitan/interface_surf.F90	(revision 97)
@@ -25,5 +25,5 @@
   END INTERFACE
 
-#include "YOMCST.inc"
+#include "YOMCST.h"
 
   CONTAINS
Index: /trunk/libf/phytitan/optci.F
===================================================================
--- /trunk/libf/phytitan/optci.F	(revision 96)
+++ /trunk/libf/phytitan/optci.F	(revision 97)
@@ -8,5 +8,5 @@
 c   Arguments:
 c   ---------
-      REAL    ykim(klon,klev,nqmx)
+      REAL    ykim(klon,klev,nqtot)
       integer nmicro
 c   ---------
@@ -56,5 +56,5 @@
       DIMENSION PROD(NLEVEL)
 * nrad dans microtab.h
-      real qaer(klon,nlayer,nqmx)
+      real qaer(klon,nlayer,nqtot)
       real v(nrad),rayon(nrad),vrat,dr(nrad),dv(nrad)
       real xv1(klev,nspeci),xv2(klev,nspeci)
@@ -121,5 +121,5 @@
       if (iopti.eq.0) then
 
-c verif pour taille zqaer_1pt, sachant que si microfi=0 et nqmx=1, 
+c verif pour taille zqaer_1pt, sachant que si microfi=0 et nqtot=1, 
 c il faut quand meme qu on lise la look-up table de dim nrad=10
 c et si microfi=1, on doit avoir nmicro=nrad (dans microtab.h)
Index: /trunk/libf/phytitan/optcv.F
===================================================================
--- /trunk/libf/phytitan/optcv.F	(revision 96)
+++ /trunk/libf/phytitan/optcv.F	(revision 97)
@@ -51,5 +51,5 @@
       COMMON /ADJUST/ RHCH4,FH2,FHAZE,FHVIS,FHIR,TAUFAC,RCLOUD,FARGON
       COMMON /CONST/ RGAS,RHOP,PI,SIGMA
-      COMMON /traceurs/qaer(klon,nlayer,nqmx)
+      COMMON /traceurs/qaer(klon,nlayer,nqtot)
       COMMON /part/ v(nrad),rayon(nrad),vrat,dr(nrad),dv(nrad)
 
@@ -93,5 +93,5 @@
 c      do nng=2,klon
 c       do i=1,klev           
-c        do j=1,nqmx
+c        do j=1,nqtot
 c          sum=sum+qaer(nng,i,j)*rayon(j)**3.*1.3333*3.1415*1000.
 c        enddo
@@ -107,5 +107,5 @@
       if (ioptv.eq.0) then
 
-c verif pour taille zqaer_1pt, sachant que si microfi=0 et nqmx=1, 
+c verif pour taille zqaer_1pt, sachant que si microfi=0 et nqtot=1, 
 c il faut quand meme qu'on lise la look-up table de dim nrad=10
 c et si microfi=1, on doit avoir nmicro=nrad (dans microtab.h)
Index: /trunk/libf/phytitan/pg3.F
===================================================================
--- /trunk/libf/phytitan/pg3.F	(revision 96)
+++ /trunk/libf/phytitan/pg3.F	(revision 97)
@@ -86,5 +86,5 @@
 * --------------
 
-c      print*,'Df aerosols /1 a nqmx/'
+c      print*,'Df aerosols /1 a nqtot/'
 c       write(*,*) (df(h),h=1,nrad)
 c       write(*,*) (rayon(h),h=1,nrad)
@@ -173,5 +173,5 @@
 c
 c      print*,'CHECK BEFORE COMPUTATION'
-c      print*,'nrad=',nrad,' nqmx=',nqmx,' ctrl...'
+c      print*,'nrad=',nrad,' nqtot=',nqtot,' ctrl...'
 c      print*,'##############################################'
 c      print*,'1.0 - tableaux de bases:'
@@ -221,5 +221,5 @@
 c      print*,'1.2 - Avec les rayons:'
 c      print*,'h	i	j	k(h,i,j)'
-c        do j=1,nqmx
+c        do j=1,nqtot
 c         print*,h,i,j,k(h,i,j)
 c      enddo
@@ -311,5 +311,5 @@
 #include "dimensions.h"
 #include "microtab.h"
-cparameter(nz=200,nrad=nqmx,nztop=135)
+cparameter(nz=200,nrad=nqtot,nztop=135)
         common/con/c
         real c(nz,nrad,2)
@@ -353,5 +353,5 @@
 	integer li,lf
 	real tt,dt
-cparameter(nz=200,nrad=nqmx,nztop=135)
+cparameter(nz=200,nrad=nqtot,nztop=135)
 	real p(nz),t(nz),rho(nz),ach4(nz),aar(nz),an2(nz),pi,nav
 	real pb(nz),tb(nz),rhob(nz)
@@ -419,5 +419,5 @@
         integer li,lf
         real tt,dt
-cparameter(nz=200,nrad=nqmx)
+cparameter(nz=200,nrad=nqtot)
         real p(nz),t(nz),rho(nz),ach4(nz),aar(nz),an2(nz),pi,nav
         real pb(nz),tb(nz),rhob(nz)
@@ -642,5 +642,5 @@
 * ----------------------------------
 
-cparameter(nz=200,nrad=nqmx)
+cparameter(nz=200,nrad=nqtot)
         real p(nz),t(nz),rho(nz),ach4(nz),aar(nz),an2(nz),pb(nz),tb(nz),
      s     rhob(nz)
@@ -692,5 +692,5 @@
 * ----------------------------------
 
-cparameter(nz=200,nrad=nqmx)
+cparameter(nz=200,nrad=nqtot)
         real v(nrad),rayon(nrad),vrat,dr(nrad),dv(nrad)
 
@@ -771,5 +771,5 @@
 * ----------------------------------
 
-cparameter(nz=200,nrad=nqmx)
+cparameter(nz=200,nrad=nqtot)
         real p(nz),t(nz),rho(nz),ach4(nz),aar(nz),an2(nz)
      s  ,pb(nz),tb(nz),rhob(nz)
@@ -851,5 +851,5 @@
 
 
-cparameter(nz=200,nrad=nqmx)
+cparameter(nz=200,nrad=nqtot)
 	real p(nz),t(nz),rho(nz),ach4(nz),aar(nz),an2(nz),pb(nz),tb(nz),
      s   rhob(nz)
@@ -909,5 +909,5 @@
 * ----------------------------------
 
-cparameter(nz=200,nrad=nqmx)
+cparameter(nz=200,nrad=nqtot)
 	integer li,lf
 	real dt,tt
@@ -1070,5 +1070,5 @@
 	integer li,lf
 	real tt,dt
-cparameter(nz=200,nrad=nqmx)
+cparameter(nz=200,nrad=nqtot)
 	real p(nz),t(nz),rho(nz),ach4(nz),aar(nz),an2(nz),pi,nav
 	real pb(nz),tb(nz),rhob(nz)
@@ -1180,5 +1180,5 @@
 
 	integer ndz
-cparameter (nrad=nqmx,nz=200,nztop=135)
+cparameter (nrad=nqtot,nz=200,nztop=135)
 	real zb(nz),z(nz),dz(nz),dzb(nz) 
 	real c(nz,nrad,2)
@@ -1271,5 +1271,5 @@
 
 	integer ndz
-cparameter (nrad=nqmx,nz=200,nztop=135)
+cparameter (nrad=nqtot,nz=200,nztop=135)
 	real zb(nz),z(nz),dz(nz),dzb(nz) 
 	real c(nz,nrad,2)
@@ -1345,5 +1345,5 @@
 * ----------------------------------
 
-cparameter(nz=200,nrad=nqmx,nztop=135)
+cparameter(nz=200,nrad=nqtot,nztop=135)
 	integer li,lf
 	real tt,dt
Index: /trunk/libf/phytitan/phyetat0.F
===================================================================
--- /trunk/libf/phytitan/phyetat0.F	(revision 96)
+++ /trunk/libf/phytitan/phyetat0.F	(revision 97)
@@ -7,5 +7,5 @@
      .            rlat,rlon, tsol,tsoil,
      .           albe, solsw, sollw,
-     .           fder,radsol,clesphy0,
+     .           fder,radsol,
      .           tabcntr0,
      .           t_ancien,ancien_ok)
@@ -40,8 +40,4 @@
       LOGICAL ancien_ok
 
-      INTEGER        longcles
-      PARAMETER    ( longcles = 20 )
-      REAL clesphy0( longcles )
-c
       REAL xmin, xmax
 c
@@ -84,70 +80,8 @@
          ENDDO
 c
-         cycle_diurne   = .FALSE.
-         soil_model     = .FALSE.
-         new_oliq       = .FALSE.
-         ok_orodr       = .FALSE.
-         ok_orolf       = .FALSE.
-         ok_limitvrai   = .FALSE.
-
-
-         IF( clesphy0(1).NE.tab_cntrl( 5 ) )  THEN
-             tab_cntrl( 5 ) = clesphy0(1)
-         ENDIF
-
-         IF( clesphy0(2).NE.tab_cntrl( 6 ) )  THEN
-             tab_cntrl( 6 ) = clesphy0(2)
-         ENDIF
-
-         IF( clesphy0(3).NE.tab_cntrl( 7 ) )  THEN
-             tab_cntrl( 7 ) = clesphy0(3)
-         ENDIF
-
-         IF( clesphy0(4).NE.tab_cntrl( 8 ) )  THEN
-             tab_cntrl( 8 ) = clesphy0(4)
-         ENDIF
-
-         IF( clesphy0(5).NE.tab_cntrl( 9 ) )  THEN
-             tab_cntrl( 9 ) = clesphy0( 5 )
-         ENDIF
-
-         IF( clesphy0(6).NE.tab_cntrl( 10 ) )  THEN
-             tab_cntrl( 10 ) = clesphy0( 6 )
-         ENDIF
-
-         IF( clesphy0(7).NE.tab_cntrl( 11 ) )  THEN
-             tab_cntrl( 11 ) = clesphy0( 7 )
-         ENDIF
-
-         IF( clesphy0(8).NE.tab_cntrl( 12 ) )  THEN
-             tab_cntrl( 12 ) = clesphy0( 8 )
-         ENDIF
-
-         IF( clesphy0(9).NE.tab_cntrl( 16 ) )  THEN
-             tab_cntrl( 16 ) = clesphy0( 9 )
-         ENDIF
-
 
          dtime        = tab_cntrl(1)
          radpas       = tab_cntrl(2)
          chimpas      = tab_cntrl(3)
-         iflag_con    = tab_cntrl(5)
-         nbapp_rad    = tab_cntrl(6)
-         nbapp_chim   = tab_cntrl(16)
-
-
-         cycle_diurne    = .FALSE.
-         soil_model      = .FALSE.
-         new_oliq        = .FALSE.
-         ok_orodr        = .FALSE.
-         ok_orolf        = .FALSE.
-         ok_limitvrai    = .FALSE.
-
-         IF( tab_cntrl( 7) .EQ. 1. )    cycle_diurne  = .TRUE.
-         IF( tab_cntrl( 8) .EQ. 1. )       soil_model = .TRUE.
-         IF( tab_cntrl( 9) .EQ. 1. )         new_oliq = .TRUE.
-         IF( tab_cntrl(10) .EQ. 1. )         ok_orodr = .TRUE.
-         IF( tab_cntrl(11) .EQ. 1. )         ok_orolf = .TRUE.
-         IF( tab_cntrl(12) .EQ. 1. )     ok_limitvrai = .TRUE.
 
       ENDIF
Index: /trunk/libf/phytitan/phyredem.F
===================================================================
--- /trunk/libf/phytitan/phyredem.F	(revision 96)
+++ /trunk/libf/phytitan/phyredem.F	(revision 97)
@@ -9,4 +9,6 @@
      .           radsol,
      .           t_ancien)
+
+      USE control_mod
       IMPLICIT none
 c======================================================================
@@ -19,5 +21,4 @@
 #include "dimsoil.h"
 #include "clesphys.h"
-#include "control.h"
 #include "temps.h"
 c======================================================================
Index: /trunk/libf/phytitan/physiq.F
===================================================================
--- /trunk/libf/phytitan/physiq.F	(revision 96)
+++ /trunk/libf/phytitan/physiq.F	(revision 97)
@@ -5,5 +5,5 @@
       SUBROUTINE physiq (nlon,nlev,nqmax,
      .            debut,lafin,rjourvrai,gmtime,pdtphys,
-     .            paprs,pplay,ppk,pphi,pphis,presnivs,clesphy0,
+     .            paprs,pplay,ppk,pphi,pphis,presnivs,
      .            u,v,t,qx,
      .            omega,
@@ -12,4 +12,6 @@
       USE ioipsl
       USE histcom
+      USE infotrac
+      USE control_mod
       IMPLICIT none
 c======================================================================
@@ -71,8 +73,6 @@
 #include "dimsoil.h"
 #include "clesphys.h"
-#include "control.h"
 #include "temps.h"
 #include "comgeomphy.h"
-#include "advtrac.h"
 #include "iniprint.h"
 #include "raddim.h"
@@ -147,8 +147,4 @@
       SAVE LWdnTOA
 c
-      INTEGER        longcles
-      PARAMETER    ( longcles = 20 )
-      REAL clesphy0( longcles      )
-c
 c Variables propres a la physique
 c
@@ -251,5 +247,5 @@
 cAA
       integer nmicro
-      REAL source(klon,nqmx)
+      REAL source(klon,nqmax)
       save    nmicro,source
 
@@ -259,5 +255,5 @@
       character*8 nom
 * common relatifs aux aerosols 
-      REAL qaer(klon,klev,nqmx)
+      REAL qaer(klon,klev,nqmax)
       common/traceurs/qaer
 
@@ -400,7 +396,4 @@
       REAL zx_tmp_2d(iim,jjmp1),zx_tmp_3d(iim,jjmp1,klev)
       REAL zx_lon(iim,jjmp1), zx_lat(iim,jjmp1)
-      REAL*4 z4_tmp_2d(iim,jjmp1),z4_tmp_3d(iim,jjmp1,klev)
-      REAL*4 z4_lon(iim,jjmp1), z4_lat(iim,jjmp1)
-      REAL*4 zpresnivs(klev)
 
       INTEGER nid_day, nid_mth, nid_ins
@@ -408,5 +401,5 @@
 c
       INTEGER nhori, nvert, idayref
-      REAL*4 zsto, zout, zsto1, zsto2, z4julian, zero
+      REAL zsto, zout, zsto1, zsto2, zero
       parameter (zero=0.0e0)
       real zjulian
@@ -447,4 +440,17 @@
       REAL mangtot            ! moment cinetique total
 
+c Temporaire avant de trouver mieux :
+c Recuperation des TAU du TR
+      CHARACTER*2 str1
+      INTEGER NSPECV,NSPECI,NLAYER
+      PARAMETER (NSPECV=24,NSPECI=46,NLAYER=klev)
+      REAL t_tauhvd(klon,klev),t_khvd(klon,klev)
+      REAL TAUHID(klon,NLAYER,NSPECI)
+     &               ,TAUGID(klon,NLAYER,NSPECI)
+     &               ,TAUHVD(klon,NLAYER,NSPECV)
+     &               ,TAUGVD(klon,NLAYER,NSPECV)
+
+      COMMON /TAUD/   TAUHID,TAUGID,TAUHVD,TAUGVD
+
 c Declaration des constantes et des fonctions thermodynamiques
 c
@@ -498,5 +504,5 @@
      .       rlatd,rlond,ftsol,ftsoil,
      .       falbe, solsw, sollw,
-     .       dlw,radsol,clesphy0,
+     .       dlw,radsol,
 c     .      zmea,zstd,zsig,zgam,zthe,zpic,zval,
      .       tabcntr0,
@@ -624,5 +630,5 @@
      .                   iflag_ajs
 c
-         ecrit_mth = NINT(RDAY/dtime *(nday-1))  ! tous les nday jours
+         ecrit_mth = NINT(RDAY/dtime) *nday  ! tous les nday jours
          IF (ok_mensuel) THEN
          WRITE(lunout,*)'La frequence de sortie mensuelle est de ',
@@ -636,5 +642,5 @@
          ENDIF
 
-         ecrit_ins = NINT(RDAY/dtime/100.)  ! toutes les ~4h Terre
+         ecrit_ins = NINT(RDAY/dtime*ecritphy)  ! Fraction de jour reglable
          IF (ok_instan) THEN
          WRITE(lunout,*)'La frequence de sortie instant. est de ', 
@@ -1089,5 +1095,5 @@
 c------------------
 c test condensation
-c     do i=1,nqmx 
+c     do i=1,nqmax 
 c       if(tname(i).eq."HCN") then
 c          print*,"HCN="
Index: /trunk/libf/phytitan/phytrac.F
===================================================================
--- /trunk/libf/phytitan/phytrac.F	(revision 96)
+++ /trunk/libf/phytitan/phytrac.F	(revision 97)
@@ -3,4 +3,6 @@
      .                   pplev,pplay,delp,ptemp,pmu0,pfract,pdecli,
      .                   lonsol,tr_seri,d_tr_mph,d_tr_kim)
+
+      USE infotrac
 
       IMPLICIT none
@@ -34,5 +36,4 @@
 #include "clesphys.h"
 #include "YOMCST.h"
-#include "advtrac.h"
 
 c======================================================================
@@ -52,5 +53,5 @@
 
 * common relatifs aux aerosols 
-      REAL qaer(klon,klev,nqmx)
+      REAL qaer(klon,klev,nqtot)
       common/traceurs/qaer
 
@@ -63,6 +64,6 @@
       REAL pdqmfi(jjm+1,klev,nqmax)
       REAL ychim(jjm+1,klev,nqmax-nmicro) 
-      REAL qysat(klev,nqmx)        ! dim nqmx, mais en fait nqmax-nmicro (save...)
-      REAL pdyfi(jjm+1,klev,nqmx)  ! dim nqmx, mais en fait nqmax-nmicro (save...)
+      REAL qysat(klev,nqtot)        ! dim nqtot, mais en fait nqmax-nmicro (save...)
+      REAL pdyfi(jjm+1,klev,nqtot)  ! dim nqtot, mais en fait nqmax-nmicro (save...)
       character*10 nomqy(nqmax-nmicro+1)
       integer      i,j,l,iq,ig0
Index: /trunk/libf/phytitan/radlwsw.F
===================================================================
--- /trunk/libf/phytitan/radlwsw.F	(revision 96)
+++ /trunk/libf/phytitan/radlwsw.F	(revision 97)
@@ -68,5 +68,5 @@
       
 * common relatifs aux aerosols 
-      REAL qaer(klon,klev,nqmx)
+      REAL qaer(klon,klev,nqtot)
       common/traceurs/qaer
      
Index: /trunk/libf/phytitan/radtitan.F
===================================================================
--- /trunk/libf/phytitan/radtitan.F	(revision 96)
+++ /trunk/libf/phytitan/radtitan.F	(revision 97)
@@ -199,5 +199,5 @@
 * common relatifs aux aerosols  
 * nrad dans microtab.h
-      REAL qaer(klon,nlayer,nqmx),volume(nrad),rayon(nrad),vrat,
+      REAL qaer(klon,nlayer,nqtot),volume(nrad),rayon(nrad),vrat,
      &      drayon(nrad),dvolume(nrad)
 
Index: /trunk/libf/phytitan/rdf.F
===================================================================
--- /trunk/libf/phytitan/rdf.F	(revision 96)
+++ /trunk/libf/phytitan/rdf.F	(revision 97)
@@ -71,5 +71,5 @@
 
         print*,'tcorrect=',tcorrect,' tx=',tx
-        print*,'Df aerosols /1 a nqmx/'
+        print*,'Df aerosols /1 a nqtot/'
         write(*,*) (rf(h),h=1,nrad)
         write(*,*) (df(h),h=1,nrad)
Index: /trunk/libf/phytitan/suphec.F
===================================================================
--- /trunk/libf/phytitan/suphec.F	(revision 96)
+++ /trunk/libf/phytitan/suphec.F	(revision 97)
@@ -58,5 +58,5 @@
       ROMEGA=2.*RPI/RSIDAY
 c 1/(duree du jour) = 1/(periode rotation) - 1/(periode revolution)
-      RDAY=RSIDAY/(1.-RSIDAY/RSIYEA) ! 116.748 j
+      RDAY=RSIDAY/(1.-RSIDAY/RSIYEA) 
       REA=1.5e12
       REPSM=0.  ! 0. veut dire qu'on commence au point vernal
@@ -157,73 +157,4 @@
       WRITE(UNIT=6,FMT='(''     Rv/Rd-1  = '',e13.7)') RETV
 C
-C     ----------------------------------------------------------------
-C
-C*       6.    DEFINE THERMODYNAMIC CONSTANTS, LIQUID PHASE.
-C              ---------------------------------------------
-C
-      RCW=RCPV
-      WRITE(UNIT=6,FMT='('' *** Thermodynamic, liquid  ***'')')
-      WRITE(UNIT=6,FMT='(''         Cw   = '',E13.7)') RCW
-C
-C     ----------------------------------------------------------------
-C
-C*       7.    DEFINE THERMODYNAMIC CONSTANTS, SOLID PHASE.
-C              --------------------------------------------
-C
-      RCS=RCPV
-      WRITE(UNIT=6,FMT='('' *** thermodynamic, solid   ***'')')
-      WRITE(UNIT=6,FMT='(''         Cs   = '',E13.7)') RCS
-C
-C     ----------------------------------------------------------------
-C
-C*       8.    DEFINE THERMODYNAMIC CONSTANTS, TRANSITION OF PHASE.
-C              ----------------------------------------------------
-C
-c valeurs TERRE
-      RTT=273.16
-      RLVTT=2.5008E+6
-      RLSTT=2.8345E+6
-      RLMLT=RLSTT-RLVTT
-      RATM=100000.
-      WRITE(UNIT=6,FMT='('' *** Thermodynamic, trans.  ***'')')
-      WRITE(UNIT=6,FMT='('' Fusion point  = '',E13.7)') RTT
-      WRITE(UNIT=6,FMT='(''        RLvTt  = '',E13.7)') RLVTT
-      WRITE(UNIT=6,FMT='(''        RLsTt  = '',E13.7)') RLSTT
-      WRITE(UNIT=6,FMT='(''        RLMlt  = '',E13.7)') RLMLT
-      WRITE(UNIT=6,FMT='('' Normal press. = '',E13.7)') RATM
-      WRITE(UNIT=6,FMT='('' Latent heat :  '')')
-C
-C     ----------------------------------------------------------------
-C
-C*       9.    SATURATED VAPOUR PRESSURE.
-C              --------------------------
-C
-c valeurs TERRE
-      RESTT=611.14
-      RGAMW=(RCW-RCPV)/RV
-      RBETW=RLVTT/RV+RGAMW*RTT
-      RALPW=LOG(RESTT)+RBETW/RTT+RGAMW*LOG(RTT)
-      RGAMS=(RCS-RCPV)/RV
-      RBETS=RLSTT/RV+RGAMS*RTT
-      RALPS=LOG(RESTT)+RBETS/RTT+RGAMS*LOG(RTT)
-      RGAMD=RGAMS-RGAMW
-      RBETD=RBETS-RBETW
-      RALPD=RALPS-RALPW
-C
-C     ------------------------------------------------------------------
-c
-c calculer les constantes pour les fonctions thermodynamiques
-c
-c valeurs TERRE
-      RVTMP2=RCPV/RCPD-1.
-      RHOH2O=RATM/100.
-      R2ES=RESTT*RD/RV
-      R3LES=17.269
-      R3IES=21.875
-      R4LES=35.86
-      R4IES=7.66
-      R5LES=R3LES*(RTT-R4LES)
-      R5IES=R3IES*(RTT-R4IES)
-C
       RETURN
       END
